/* inklevel.h
 *
 * (c) 2003 Markus Heinz
 *
 * This software is licensed under the terms of the GPL.
 * For details see file COPYING.
 */

#ifndef INKLEVEL_H
#define INKLEVEL_H

#define PARPORT 1
#define USB 2

#define NO_INK_LEVEL_FOUND 0
#define ONE_COLOR_FOUND 1
#define ONE_BLACK_COLOR_FOUND 2
#define TWO_COLORS_FOUND 3
#define TWO_PHOTO_COLORS_FOUND 4
#define THREE_COLORS_FOUND 5
#define FOUR_COLORS_FOUND 6
#define SIX_COLORS_FOUND 7
#define SEVEN_COLORS_FOUND 8

#define OK 0
#define ERROR -1

struct ink_level {
  unsigned short type;
  unsigned short black;
  unsigned short color;
  unsigned short cyan;
  unsigned short magenta;
  unsigned short yellow;
  unsigned short photo;
  unsigned short photocyan;
  unsigned short photomagenta;
  unsigned short photoyellow;
};

int get_ink_level(int port, int portnumber, struct ink_level *level);

#endif
